!
! $Header$
!
#ifdef CRAY
      SUBROUTINE riencray
      END
#else
      subroutine scopy(n,sx,incx,sy,incy)
c
      IMPLICIT NONE
c
      integer n,incx,incy,ix,iy,i
      real sx((n-1)*incx+1),sy((n-1)*incy+1)
c
      if (incx.eq.1.and.incy.eq.1) then
      do 10 i=1,n
         sy(i)=sx(i)
10    continue
      else
      iy=1
      ix=1
      do 11 i=1,n
         sy(iy)=sx(ix)
         ix=ix+incx
         iy=iy+incy
11    continue
      endif
c
      return
      end

      function ssum(n,sx,incx)
c
      IMPLICIT NONE
c
      integer n,incx,i,ix
      real ssum,sx((n-1)*incx+1)
c
      ssum=0.
      if (incx.eq.1) then
      do 10 i=1,n
         ssum=ssum+sx(i)
10    continue
      else
      ix=1
      do 11 i=1,n
         ssum=ssum+sx(ix)
         ix=ix+incx
11    continue
      endif
c
      return
      end
#endif
